Bug 103952 - cannot access kickstart file via NFS
cannot access kickstart file via NFS
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-09-08 07:28 EDT by Guenther Seybold
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-09-25 17:42:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
detailed description and patch (7.60 KB, patch)
2003-09-08 07:32 EDT, Guenther Seybold
no flags Details | Diff

  None (edit)
Description Guenther Seybold 2003-09-08 07:28:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
With the combination of Intel Westville systems, and RedHat 9.0, access to the
kickstart file via NFS does not work. With RedHat 8.0, there was no problem, and
other hardware will work with RedHat 9.0. Problem seems to ba caused by changes
in anaconda, and by the fact that the ethernet controller of theIntel Westville
system needs some time to stabilize, before the network is usable. This requires
reasonable error recovery procedures within anaconda.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Prepare PXE environment, option "ks" without parameters.
2.Make sure that kickstart file is accessible via NFS.
3.Boot the client.

Actual Results:  Kickstart file is not retrieved from NFS server. Anaconda asks
for language selection.

Expected Results:  Fully automatic kickstart should run.

Additional info:

Several bugs have been found in the source code, see attachment.
With the supplied patch, anaconda works as expected.
Comment 1 Guenther Seybold 2003-09-08 07:32:19 EDT
Created attachment 94291 [details]
detailed description and patch
Comment 2 Mike Waychison 2003-09-12 17:57:42 EDT
clntudp_call timeouts are broken as described in bug 104345 .
Comment 3 Jeremy Katz 2003-09-25 17:42:42 EDT
Applied some bits of this that weren't there, mostly left out the nfsmount
changes, though.

Note You need to log in before you can comment on or make changes to this bug.